Subject: bug#73264: closed (Re: bug#73264: tree-sitter shows jit-lock-function error when i delete some code)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 15 Sep 2024 06:37:02 +0000

Your bug report

#73264: tree-sitter shows jit-lock-function error when i delete some code

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73264: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73264
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73264: tree-sitter shows jit-lock-function error when i delete some code
From: Eli Zaretskii <[email-masked]>
To: vinurs <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Sep 2024 09:36:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 15 Sep 2024 14:06:22 +0800
> From: vinurs <[email-masked]>
> 
> I am using the latest emacs-30
> https://github.com/emacs-mirror/emacs/commit/81347c1aaf25b27e78e8beee4bc818ad2c4e1b71
> 
> The min configuration is as follows:
> 
> (add-to-list 'treesit-extra-load-path (expand-file-name "tree-sitter/" user-emacs-directory))
> 
> (add-to-list 'load-path "~/.emacs.d/site-lisp/clojure-ts-mode”)
> 
> (require 'clojure-ts-mode)
> 
> ;; debug
> 
> (setq debug-on-quit t)
> 
> and I only use clojure-ts-mode package
> 
> cd ~/.emacs.d/site-lisp
> 
> git clone https://github.com/clojure-emacs/clojure-ts-mode.git
> 
> Then, after opening Emacs, Open the elong.clj file, go to line 115, select the entire
> build-inventory-check-failure-response function, and then delete this function. You'll notice that the remaining
> code is no longer highlighted. Then I found the following error output in the Message buffer:
> 
> Error during redisplay: (jit-lock-function 4221) signaled (wrong-type-argument number-or-marker-p nil) [2
> times

Thanks.

Since clojure-ts-mode is not part of Emacs, please report this to the
developers of clojure-ts-mode instead.

I'm therefore closing this bug.  If the developers of clojure-ts-mode
conclude that the underlying problem is in core Emacs, we can reopen
this bug with the details of their analysis and conclusions.

Subject: tree-sitter shows jit-lock-function error when i delete some code
From: vinurs <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2024 14:06:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am using the latest emacs-30 https://github.com/emacs-mirror/emacs/commit/81347c1aaf25b27e78e8beee4bc818ad2c4e1b71

The min configuration is as follows:

(add-to-list 'treesit-extra-load-path (expand-file-name "tree-sitter/" user-emacs-directory))

(add-to-list 'load-path "~/.emacs.d/site-lisp/clojure-ts-mode”)

(require 'clojure-ts-mode)

;; debug

(setq debug-on-quit t)

and I only use clojure-ts-mode package

cd ~/.emacs.d/site-lisp

git clone https://github.com/clojure-emacs/clojure-ts-mode.git

Then, after opening Emacs, Open the elong.clj file, go to line 115, select the entire build-inventory-check-failure-response function, and then delete this function. You'll notice that the remaining code is no longer highlighted. Then I found the following error output in the Message buffer:

Error during redisplay: (jit-lock-function 4221) signaled (wrong-type-argument number-or-marker-p nil) [2 times

------------

Sincerely,

Haiyuan Zhang, Vinurs